summaryrefslogtreecommitdiff
path: root/test-suite/coq-makefile/timing/precomputed-time-tests/002-single-file-sorting/run.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test-suite/coq-makefile/timing/precomputed-time-tests/002-single-file-sorting/run.sh')
-rwxr-xr-xtest-suite/coq-makefile/timing/precomputed-time-tests/002-single-file-sorting/run.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/test-suite/coq-makefile/timing/precomputed-time-tests/002-single-file-sorting/run.sh b/test-suite/coq-makefile/timing/precomputed-time-tests/002-single-file-sorting/run.sh
new file mode 100755
index 00000000..4f39b3ce
--- /dev/null
+++ b/test-suite/coq-makefile/timing/precomputed-time-tests/002-single-file-sorting/run.sh
@@ -0,0 +1,10 @@
+#!/usr/bin/env bash
+
+set -x
+set -e
+
+cd "$(dirname "${BASH_SOURCE[0]}")"
+
+"$COQLIB"/tools/make-one-time-file.py time-of-build.log.in time-of-build-pretty.log
+
+diff -u time-of-build-pretty.log.expected time-of-build-pretty.log || exit $?